curl --request PATCH \
--url "${UNSTRUCTURED_API_URL}/api/v1/workflows/f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c/notifications/channels/c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}" \
--header "Content-Type: application/json" \
--data '{
"event_types": ["job.completed", "job.failed", "job.in_progress"],
"enabled": true
}'
{
"id": "c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"channel_type": "webhook",
"description": "Job status alerts",
"event_types": ["job.completed", "job.failed", "job.in_progress"],
"enabled": true,
"url": "https://hooks.example.com/notify",
"created_at": "2026-04-29T10:00:00Z",
"updated_at": "2026-04-29T11:00:00Z"
}
Workflow
Update workflow notification channel
Update workflow-scoped notification channel. Only provided fields are updated.
PATCH
/
api
/
v1
/
workflows
/
{workflow_id}
/
notifications
/
channels
/
{channel_id}
curl --request PATCH \
--url "${UNSTRUCTURED_API_URL}/api/v1/workflows/f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c/notifications/channels/c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}" \
--header "Content-Type: application/json" \
--data '{
"event_types": ["job.completed", "job.failed", "job.in_progress"],
"enabled": true
}'
{
"id": "c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"channel_type": "webhook",
"description": "Job status alerts",
"event_types": ["job.completed", "job.failed", "job.in_progress"],
"enabled": true,
"url": "https://hooks.example.com/notify",
"created_at": "2026-04-29T10:00:00Z",
"updated_at": "2026-04-29T11:00:00Z"
}
Channels that have not been verified cannot be updated.
Path parameters
Body
The existing channel type:
webhook or email. This field is immutable. If provided, it must match the channel’s current type.Updated list of event types to subscribe to.
| Value | Description |
|---|---|
job.scheduled | Job queued to run |
job.in_progress | Job has started |
job.progress | Job has reached approximately 25% progress |
job.completed | Job finished processing |
job.stopped | Job has stopped |
job.failed | Job failed to initialize without processing any files |
Updated signing secret for verifying incoming webhook requests. Must be between 24 and 75 bytes. Applies when
channel_type is webhook. Omit to keep the current value, or pass an empty string to remove the custom secret.Use this secret to verify incoming webhook requests.Updated email delivery configuration. Applies when
channel_type is email.| Value | Required | Description |
|---|---|---|
recipient_email | yes | Email address to deliver notifications to. |
reply_to | Email address set as the reply-to header in notification emails. | |
cc | Additional email addresses to copy on notification emails. Array of strings. |
Response
Channel type:
webhook or email.For more information, see Webhooks and Email notifications.curl --request PATCH \
--url "${UNSTRUCTURED_API_URL}/api/v1/workflows/f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c/notifications/channels/c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}" \
--header "Content-Type: application/json" \
--data '{
"event_types": ["job.completed", "job.failed", "job.in_progress"],
"enabled": true
}'
{
"id": "c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"channel_type": "webhook",
"description": "Job status alerts",
"event_types": ["job.completed", "job.failed", "job.in_progress"],
"enabled": true,
"url": "https://hooks.example.com/notify",
"created_at": "2026-04-29T10:00:00Z",
"updated_at": "2026-04-29T11:00:00Z"
}
Was this page helpful?

